Subject: Re: bug#44611: Prefix arg for xref-goto-xref

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2020 17:10:40 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 12 Dec 2020 22:39:17 +0200
> 
> >> +(defun xref-pop-marker-stack (&optional kill)
> >> +  "Pop back to where \\[xref-find-definitions] was last invoked.
> >> +With prefix argument KILL non-nil, kill the previous buffer instead of
> >> +burying it."
> >
> > What is "the previous buffer" in this context?  The doc string leaves
> > that unexplained, and thus may confuse the reader.
> 
> Maybe this is clearer: "kill the buffer that was current before popping back."

Is that the XREF buffer?  Or is that the buffer where the definition
was shown?

> > (I don't object to such a feature, but I really don't understand the
> > urge to kill Emacs buffers just because they were needed temporarily.
> > Why is that important?)
> 
> The problem is that such temporary file buffers are saved
> to the desktop file and dangling in the buffer list forever.

I don't understand why you call them "temporary": they are normal
buffers visiting files that belong to the program you are working on,
right?  And if you care so much about what goes into your desktop
file, then you review the list of buffers each time before ending a
session, right?

Anyway, I don't want to argue about this.